#
# spec file for package gedit (Version 2.30.4)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           gedit
Version:        2.30.4
Release:        1
# NOTE: on upgrade to a new upstream version, change the doc Obsoletes from <= to <
License:        GPLv2+
Summary:        Small and lightweight UTF-8 text editor
Url:            http://www.gnome.org
Group:          Productivity/Text/Editors
Source:         ftp://ftp.gnome.org/pub/gnome/sources/gedit/2.25/%{name}-%{version}.tar.bz2
# PATCH-FIX-OPENSUSE gedit-desktop.patch -- adds more MIME types and change icon
Patch0:         gedit-desktop.patch
BuildRequires:  enchant-devel
BuildRequires:  fdupes
BuildRequires:  gconf2-devel
BuildRequires:  gettext
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  gtk-doc
BuildRequires:  gtksourceview-devel
BuildRequires:  intltool
BuildRequires:  iso-codes-devel
BuildRequires:  python
BuildRequires:  python-devel
BuildRequires:  python-gobject2-devel
BuildRequires:  python-gtk-devel
BuildRequires:  python-gtksourceview-devel
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
Requires:       python-gnome
Requires:       python-gobject2
Requires:       python-gtk
Requires:       python-gtksourceview
Recommends:     %{name}-lang
Provides:       gedit2 = %{version}
Obsoletes:      gedit2 < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%gconf_schemas_prereq

%description
Gedit is a small and lightweight UTF-8 text editor for the GNOME
environment.

%package devel
License:        GPLv2+
Summary:        Small and lightweight UTF-8 text editor
Group:          Productivity/Text/Editors
Requires:       %{name} = %{version}
Requires:       gtksourceview-devel
Provides:       gedit2-devel = %{version}
Obsoletes:      gedit2-devel < %{version}
Provides:       %{name}-doc = %{version}
# Note: we keep <= (and a rpmlint warning...) until we get a version higher than 2.30.4 (when this provides/obsoletes was introduced)
Obsoletes:      %{name}-doc <= %{version}

%description devel
Gedit is a small and lightweight UTF-8 text editor for the GNOME
environment.

%lang_package
%prep
%setup -q
translation-update-upstream
%patch0 -p0

%build
%configure \
    --disable-scrollkeeper \
    --enable-python
make %{?jobs:-j%jobs}

%install
%makeinstall
%if 0%{?suse_version} <= 1110
%{__rm} %{buildroot}%{_datadir}/locale/la/LC_MESSAGES/*
%endif
%if 0%{?suse_version} <= 1120
%{__rm} %{buildroot}%{_datadir}/locale/en@shaw/LC_MESSAGES/*
%endif
%suse_update_desktop_file -N gedit -G "Text Editor" gedit TextEditor
%find_lang %{name} %{?no_lang_C}
%find_gconf_schemas
rm %{buildroot}%{_libdir}/*/*/*.*a
%fdupes %{buildroot}

%clean
rm -rf %{buildroot}

%pre -f %{name}.schemas_pre

%post
%desktop_database_post

%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%postun
%desktop_database_postun

%files -f %{name}.schemas_list
%defattr(-, root, root)
%doc AUTHORS BUGS ChangeLog COPYING MAINTAINERS NEWS README
%dir %{_datadir}/gnome/
%dir %{_datadir}/gnome/help/
%dir %{_datadir}/gnome/help/%{name}/
%doc %{_datadir}/gnome/help/%{name}/C/
%dir %{_datadir}/omf/
%dir %{_datadir}/omf/%{name}/
%doc %{_datadir}/omf/%{name}/%{name}-C.omf
%{_bindir}/gedit
%{_bindir}/gnome-text-editor
%{_datadir}/applications/*.desktop
%{_datadir}/gedit-2
%{_libdir}/gedit-2
%{_libexecdir}/gedit-2
%doc %{_mandir}/man1/gedit*

%files lang -f %{name}.lang

%files devel
%defattr(-, root, root)
%doc %{_datadir}/gtk-doc/html/gedit/
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc

%changelog
